.checkout {
  /*&__steps-container{

  }*/

  &__step {
    border-bottom: 1px solid #ececec;

    padding-bottom: $content-padding;
    margin-bottom: $content-padding;

    @include flex(normal, normal, flex-start);

    .checkout-step__content {
      width: 100%;

      .border-bottom {
        width: 100%;
        background: $black-abs;
        height: 1px;
        margin-bottom: 1rem;
      }
    }

    &--filled {
      .checkout-step {
        &__options {
          .step-option {
            &__radio {
              &:not(:checked) ~ .step-option {
                opacity: 0.5;
              }
            }
          }
        }
      }
    }

    &:last-child {
      border-bottom: 0;
    }
  }

  .checkout-step {
    &__title {
      margin: 0;
      margin-bottom: 1rem;

      font-size: 1.8rem;
    }

    &__options {
      .step-option {
        width: 100%;

        font-size: 1.4rem;

        padding: 1rem;

        margin: 0.5rem 0;

        background: #ececec;

        cursor: pointer;

        &__radio {
          display: none;
        }

        &__name {
          font-weight: bold;
        }

        &__description {
          margin-top: 0.5rem;
          font-weight: 300;
        }

        &__delivery {
          margin-top: 0.5rem;
          font-weight: bold;
          margin-bottom: 0.5rem;
          font-size: 1.3rem;

          i {
            color: #00d400;
            font-size: 1.6rem;
            margin-right: 0.1rem;
          }
        }

        a {
          color: #0297ce;
        }
      }
    }
  }
}

.checkout {
  .checkout-step {
    &__form {
      font-size: 1.4rem;

      padding: 1rem 0;

      .step-form {
        &__input-group {
          margin-bottom: $checkout-content-padding;
          width: 100%;
        }
        &__input-group-container {
          margin-bottom: $checkout-content-padding;

          @include flex(normal, space-between);
          .step-form__input-group {
            width: 100%;
            margin: 0 1rem;

            &:first-child {
              margin-left: 0;
            }
            &:last-child {
              margin-right: 0;
            }
          }
        }

        &__group-name {
          display: block;

          margin-bottom: 1rem;

          font-weight: bold;
        }

        &__group-input {
          width: 100%;

          &--small {
            width: auto;

            @include sm() {
              width: 100%;
            }
          }
        }

        &__group {
          display: flex;
          flex-direction: row;
          justify-content: space-between;
          align-items: center;
          margin: 1rem 0;

          @include sm() {
            flex-direction: column;
          }
        }
      }
    }
  }
}

.modal-qr {
  width: 349px;
  display: flex;
  justify-content: center;
  align-content: center;
}
.modal-title {
  font-weight: bold;
}
.modal-footer {
  margin-top: 0px;
}
.modal-header .close {
  margin-top: -20px;
}

.modal-banks-info {
  p {
    padding: 1.5rem;
    text-align: left;
    font-size: 1.4rem;
    line-height: 1.8rem;
  }
}
